Package: org.codehaus.groovy.control

## [Java] Class ParserPluginFactory

- org.codehaus.groovy.control.ParserPluginFactory

-     public abstract class ParserPluginFactory
      extends Object

  A factory of parser plugin instances.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static ParserPluginFactory` | `antlr2()` Creates the ANTLR 2 parser.
    `` | `public static ParserPluginFactory` | `antlr4()` Creates the ANTLR 4 parser.
    `` | `public abstract ParserPlugin` | `createParserPlugin()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### @Deprecated
      public static ParserPluginFactory antlr2()

      Creates the ANTLR 2 parser.

      Returns:
        the factory for the parser

    - #### public static ParserPluginFactory antlr4()

      Creates the ANTLR 4 parser.

      Returns:
        the factory for the parser

    - #### public abstract ParserPlugin createParserPlugin()